"use strict";

const ValidationError = require("@validatem/error");
const isString = require("@validatem/is-string");

module.exports = [
	isString,
	function isNonEmptyString(value) {
		if (value.length === 0) {
			throw new ValidationError(`String must not be empty`);
		}
	}
];
